// eslint-disable-next-line no-unused-vars
import React, { useState } from 'react';
import { Row, Col, Button, notification } from 'antd';
import moment from 'moment';
import TimePicker from '../index';

const TestDemo = () => {
  const [startTime, setStartTime] = useState(moment().startOf('day')); // 默认值当天0点
  const [endTime, setEndTime] = useState(
    moment(new Date(), 'YYYY-MM-DD HH:mm:ss'), // 默认值当前时间
  );
  // 计算时间间隔（分钟）
  // const start = new Date(startTime.format('YYYY-MM-DD HH:mm:ss')).getTime();
  // const end = new Date(endTime.format('YYYY-MM-DD HH:mm:ss')).getTime();
  // const minuteInterval = (end - start);
  // if (minuteInterval <= 0) {
  //   notification.error({
  //     message: '时间设置有误',
  //     description: '起始时间应该早于结束时间',
  //   });
  // }
  // DatePicker改变点击确定时
  const changeStartTime = (time) => {
    setStartTime(time);
  };
  const changeEndTime = (time) => {
    setEndTime(time);
  };
  // 近1/6/12/24小时
  const setTime = (time) => {
    setEndTime(moment(new Date(), 'YYYY-MM-DD HH:mm:ss'));
    setStartTime(
      moment(new Date(new Date().getTime() - time * 60 * 60 * 1000), 'YYYY-MM-DD HH:mm:ss'),
    );
  };
  function onChange(value, dateString) {
    console.log('Selected Time: ', value);
    console.log('Formatted Selected Time: ', dateString);
  }

  function onOk(value) {
    console.log('onOk: ', value);
  }

  return (
    <>
      <div>
        <Row>
          <Col span={24}>
            <span style={{ lineHeight: 2 }}>时间：</span>
            <TimePicker placeholder="起始时间" value={startTime} onChange={changeStartTime} />
            --
            <TimePicker
              placeholder="结束时间"
              value={endTime}
              onChange={changeEndTime}
              style={{ marginRight: '10px' }}
            />
            {/* <RangePicker
              picker="quarter"
              showTime={{ format: 'HH:mm' }}
              format="YYYY-MM-DD HH:mm"
              onChange={onChange}
              onOk={onOk}
            /> */}
          </Col>
        </Row>
        <Row style={{ marginTop: '10px' }}>
          <Col span={24}>
            <Button onClick={() => setTime(1)}>近1小时</Button>
            <Button onClick={() => setTime(6)}>近6小时</Button>
            <Button onClick={() => setTime(24)}>近1天</Button>
            <Button onClick={() => setTime(24 * 7)}>近1周</Button>
            <Button onClick={() => setTime(14 * 24)}>近2周</Button>
            <Button onClick={() => setTime(30 * 24)}>近1月</Button>
          </Col>
        </Row>
      </div>
    </>
  );
};
export default TestDemo;
